aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/lib/firstboot/30_is_rootfs_mounted
diff options
context:
space:
mode:
authorFelix Fietkau <nbd@openwrt.org>2010-01-25 17:11:17 +0000
committerFelix Fietkau <nbd@openwrt.org>2010-01-25 17:11:17 +0000
commit56bc02a305ae8d8a7e927622d924cdab56d4f012 (patch)
tree079702f93a3ad4420b99f31bc99c1b9b2b9a8a08 /package/base-files/files/lib/firstboot/30_is_rootfs_mounted
parent35170c48928e99dda69d46274c2749bc9bff972d (diff)
downloadupstream-56bc02a305ae8d8a7e927622d924cdab56d4f012.tar.gz
upstream-56bc02a305ae8d8a7e927622d924cdab56d4f012.tar.bz2
upstream-56bc02a305ae8d8a7e927622d924cdab56d4f012.zip
add preinit modularization work by Daniel Dickinson (cshore)
SVN-Revision: 19331
Diffstat (limited to 'package/base-files/files/lib/firstboot/30_is_rootfs_mounted')
-rw-r--r--package/base-files/files/lib/firstboot/30_is_rootfs_mounted10
1 files changed, 10 insertions, 0 deletions
diff --git a/package/base-files/files/lib/firstboot/30_is_rootfs_mounted b/package/base-files/files/lib/firstboot/30_is_rootfs_mounted
new file mode 100644
index 0000000000..7c3fe6c4c8
--- /dev/null
+++ b/package/base-files/files/lib/firstboot/30_is_rootfs_mounted
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# Copyright (C) 2006-2010 OpenWrt.org
+# Copyright (C) 2010 Vertical Communications
+
+skip_if_rootfs_mounted() {
+ mount "$mtdpart" /rom/jffs -t jffs2 || exit
+}
+
+boot_hook_add switch2jffs skip_if_rootfs_mounted